package kyra

import httpx "surdeus.su/core/xgo/v2/stdlib/http"
import "surdeus.su/util/kyra/mdx"

// Context key type for internal usage.
type CKey string

const (
	KeyValues CKey = "values"
)

type ContextValues struct {
	Request     *httpx.Request
	Global      any
	Markdown    *mdx.Markdown
	IsIndex     bool
	IndexSuffix string
	PPExt         string
	SourcePath  string
	FPath string
	FExt string
}
